
use std::collections::HashMap;

pub struct Site {
    pub lat: f64,
    pub long: f64,
    pub country: String,
    pub state: String,
    pub place: String,
}

pub fn sites() -> HashMap<String, Site> {
    HashMap::from([
        (
            "RODN".to_string(),
            Site {
                lat: 26.307796,
                long: 127.903422,
                country: "JPN".to_string(),
                state: "OKI".to_string(),
                place: "Kadena Air Base".to_string(),
            },
        ),
        (
            "RKSG".to_string(),
            Site {
                lat: 37.207652,
                long: 127.285614,
                country: "KOR".to_string(),
                state: "41".to_string(),
                place: "Camp Humphreys".to_string(),
            },
        ),
        (
            "RKJK".to_string(),
            Site {
                lat: 35.92417,
                long: 126.62222,
                country: "KOR".to_string(),
                state: "45".to_string(),
                place: "Kunsan Air Base".to_string(),
            },
        ),
        (
            "PABC".to_string(),
            Site {
                lat: 60.791987,
                long: -161.876539,
                country: "USA".to_string(),
                state: "AK".to_string(),
                place: "Bethel".to_string(),
            },
        ),
        (
            "PAPD".to_string(),
            Site {
                lat: 65.0351238,
                long: -147.5014222,
                country: "USA".to_string(),
                state: "AK".to_string(),
                place: "Fairbanks/Pedro Dome".to_string(),
            },
        ),
        (
            "PAHG".to_string(),
            Site {
                lat: 60.6156335,
                long: -151.2832296,
                country: "USA".to_string(),
                state: "AK".to_string(),
                place: "Kenai".to_string(),
            },
        ),
        (
            "PAKC".to_string(),
            Site {
                lat: 58.6794558,
                long: -156.6293335,
                country: "USA".to_string(),
                state: "AK".to_string(),
                place: "King Salmon".to_string(),
            },
        ),
        (
            "PAIH".to_string(),
            Site {
                lat: 59.46194,
                long: -146.30111,
                country: "USA".to_string(),
                state: "AK".to_string(),
                place: "Middleton Island".to_string(),
            },
        ),
        (
            "PAEC".to_string(),
            Site {
                lat: 64.5114973,
                long: -165.2949071,
                country: "USA".to_string(),
                state: "AK".to_string(),
                place: "Nome".to_string(),
            },
        ),
        (
            "PACG".to_string(),
            Site {
                lat: 56.85214,
                long: -135.552417,
                country: "USA".to_string(),
                state: "AK".to_string(),
                place: "Sitka/Biorka Island".to_string(),
            },
        ),
        (
            "KBMX".to_string(),
            Site {
                lat: 33.1722806,
                long: -86.7698425,
                country: "USA".to_string(),
                state: "AL".to_string(),
                place: "Birmingham".to_string(),
            },
        ),
        (
            "KEOX".to_string(),
            Site {
                lat: 31.4605622,
                long: -85.4592401,
                country: "USA".to_string(),
                state: "AL".to_string(),
                place: "Fort Rucker".to_string(),
            },
        ),
        (
            "KHTX".to_string(),
            Site {
                lat: 34.930508,
                long: -86.0837388,
                country: "USA".to_string(),
                state: "AL".to_string(),
                place: "Huntsville".to_string(),
            },
        ),
        (
            "KMXX".to_string(),
            Site {
                lat: 32.5366608,
                long: -85.7897848,
                country: "USA".to_string(),
                state: "AL".to_string(),
                place: "Maxwell AFB".to_string(),
            },
        ),
        (
            "KMOB".to_string(),
            Site {
                lat: 30.6795378,
                long: -88.2397816,
                country: "USA".to_string(),
                state: "AL".to_string(),
                place: "Mobile".to_string(),
            },
        ),
        (
            "KSRX".to_string(),
            Site {
                lat: 35.2904423,
                long: -94.3619075,
                country: "USA".to_string(),
                state: "AR".to_string(),
                place: "Fort Smith".to_string(),
            },
        ),
        (
            "KLZK".to_string(),
            Site {
                lat: 34.8365261,
                long: -92.2621697,
                country: "USA".to_string(),
                state: "AR".to_string(),
                place: "Little Rock".to_string(),
            },
        ),
        (
            "KFSX".to_string(),
            Site {
                lat: 34.574449,
                long: -111.198367,
                country: "USA".to_string(),
                state: "AZ".to_string(),
                place: "Flagstaff".to_string(),
            },
        ),
        (
            "KIWA".to_string(),
            Site {
                lat: 33.289111,
                long: -111.6700092,
                country: "USA".to_string(),
                state: "AZ".to_string(),
                place: "Phoenix".to_string(),
            },
        ),
        (
            "KEMX".to_string(),
            Site {
                lat: 31.8937186,
                long: -110.6304306,
                country: "USA".to_string(),
                state: "AZ".to_string(),
                place: "Tucson".to_string(),
            },
        ),
        (
            "KYUX".to_string(),
            Site {
                lat: 32.4953477,
                long: -114.6567214,
                country: "USA".to_string(),
                state: "AZ".to_string(),
                place: "Yuma".to_string(),
            },
        ),
        (
            "KBBX".to_string(),
            Site {
                lat: 39.4956958,
                long: -121.6316557,
                country: "USA".to_string(),
                state: "CA".to_string(),
                place: "Beale AFB".to_string(),
            },
        ),
        (
            "KEYX".to_string(),
            Site {
                lat: 35.0979358,
                long: -117.5608832,
                country: "USA".to_string(),
                state: "CA".to_string(),
                place: "Edwards AFB".to_string(),
            },
        ),
        (
            "KBHX".to_string(),
            Site {
                lat: 40.4986955,
                long: -124.2918867,
                country: "USA".to_string(),
                state: "CA".to_string(),
                place: "Eureka".to_string(),
            },
        ),
        (
            "KVTX".to_string(),
            Site {
                lat: 34.4116386,
                long: -119.1795641,
                country: "USA".to_string(),
                state: "CA".to_string(),
                place: "Los Angeles".to_string(),
            },
        ),
        (
            "KDAX".to_string(),
            Site {
                lat: 38.5011529,
                long: -121.6778487,
                country: "USA".to_string(),
                state: "CA".to_string(),
                place: "Sacramento".to_string(),
            },
        ),
        (
            "KNKX".to_string(),
            Site {
                lat: 32.9189891,
                long: -117.041814,
                country: "USA".to_string(),
                state: "CA".to_string(),
                place: "San Diego".to_string(),
            },
        ),
        (
            "KMUX".to_string(),
            Site {
                lat: 37.155152,
                long: -121.8984577,
                country: "USA".to_string(),
                state: "CA".to_string(),
                place: "San Francisco".to_string(),
            },
        ),
        (
            "KHNX".to_string(),
            Site {
                lat: 36.3142088,
                long: -119.6320903,
                country: "USA".to_string(),
                state: "CA".to_string(),
                place: "San Joaquin Valley".to_string(),
            },
        ),
        (
            "KSOX".to_string(),
            Site {
                lat: 33.8176452,
                long: -117.6359743,
                country: "USA".to_string(),
                state: "CA".to_string(),
                place: "Santa Ana Mountains".to_string(),
            },
        ),
        (
            "KVBG".to_string(),
            Site {
                lat: 34.8383137,
                long: -120.3977805,
                country: "USA".to_string(),
                state: "CA".to_string(),
                place: "Vandenberg AFB".to_string(),
            },
        ),
        (
            "KFTG".to_string(),
            Site {
                lat: 39.7866156,
                long: -104.5458126,
                country: "USA".to_string(),
                state: "CO".to_string(),
                place: "Denver".to_string(),
            },
        ),
        (
            "KGJX".to_string(),
            Site {
                lat: 39.0619824,
                long: -108.2137012,
                country: "USA".to_string(),
                state: "CO".to_string(),
                place: "Grand Junction".to_string(),
            },
        ),
        (
            "KPUX".to_string(),
            Site {
                lat: 38.4595034,
                long: -104.1816223,
                country: "USA".to_string(),
                state: "CO".to_string(),
                place: "Pueblo".to_string(),
            },
        ),
        (
            "KDOX".to_string(),
            Site {
                lat: 38.8257651,
                long: -75.4400763,
                country: "USA".to_string(),
                state: "DE".to_string(),
                place: "Dover AFB".to_string(),
            },
        ),
        (
            "KEVX".to_string(),
            Site {
                lat: 30.5649908,
                long: -85.921559,
                country: "USA".to_string(),
                state: "FL".to_string(),
                place: "Eglin AFB".to_string(),
            },
        ),
        (
            "KJAX".to_string(),
            Site {
                lat: 30.4846878,
                long: -81.7018917,
                country: "USA".to_string(),
                state: "FL".to_string(),
                place: "Jacksonville".to_string(),
            },
        ),
        (
            "KBYX".to_string(),
            Site {
                lat: 24.5974996,
                long: -81.7032355,
                country: "USA".to_string(),
                state: "FL".to_string(),
                place: "Key West".to_string(),
            },
        ),
        (
            "KMLB".to_string(),
            Site {
                lat: 28.1131808,
                long: -80.6540988,
                country: "USA".to_string(),
                state: "FL".to_string(),
                place: "Melbourne".to_string(),
            },
        ),
        (
            "KAMX".to_string(),
            Site {
                lat: 25.6111275,
                long: -80.412747,
                country: "USA".to_string(),
                state: "FL".to_string(),
                place: "Miami".to_string(),
            },
        ),
        (
            "KTLH".to_string(),
            Site {
                lat: 30.397568,
                long: -84.3289116,
                country: "USA".to_string(),
                state: "FL".to_string(),
                place: "Tallahassee".to_string(),
            },
        ),
        (
            "KTBW".to_string(),
            Site {
                lat: 27.7054701,
                long: -82.40179,
                country: "USA".to_string(),
                state: "FL".to_string(),
                place: "Tampa".to_string(),
            },
        ),
        (
            "KFFC".to_string(),
            Site {
                lat: 33.3635771,
                long: -84.565866,
                country: "USA".to_string(),
                state: "GA".to_string(),
                place: "Atlanta".to_string(),
            },
        ),
        (
            "KVAX".to_string(),
            Site {
                lat: 30.8903853,
                long: -83.0019021,
                country: "USA".to_string(),
                state: "GA".to_string(),
                place: "Moody AFB".to_string(),
            },
        ),
        (
            "KJGX".to_string(),
            Site {
                lat: 32.6755239,
                long: -83.3508575,
                country: "USA".to_string(),
                state: "GA".to_string(),
                place: "Robins AFB".to_string(),
            },
        ),
        (
            "PGUA".to_string(),
            Site {
                lat: 13.455965,
                long: 144.8111022,
                country: "USA".to_string(),
                state: "GU".to_string(),
                place: "Andersen AFB".to_string(),
            },
        ),
        (
            "PHKI".to_string(),
            Site {
                lat: 21.8938762,
                long: -159.5524585,
                country: "USA".to_string(),
                state: "HI".to_string(),
                place: "Kauai".to_string(),
            },
        ),
        (
            "PHKM".to_string(),
            Site {
                lat: 20.1254606,
                long: -155.778054,
                country: "USA".to_string(),
                state: "HI".to_string(),
                place: "Kohala".to_string(),
            },
        ),
        (
            "PHMO".to_string(),
            Site {
                lat: 21.1327531,
                long: -157.1802807,
                country: "USA".to_string(),
                state: "HI".to_string(),
                place: "Molokai".to_string(),
            },
        ),
        (
            "PHWA".to_string(),
            Site {
                lat: 19.0950155,
                long: -155.5688846,
                country: "USA".to_string(),
                state: "HI".to_string(),
                place: "South Shore".to_string(),
            },
        ),
        (
            "KDVN".to_string(),
            Site {
                lat: 41.611556,
                long: -90.5809987,
                country: "USA".to_string(),
                state: "IA".to_string(),
                place: "Davenport".to_string(),
            },
        ),
        (
            "KDMX".to_string(),
            Site {
                lat: 41.7311788,
                long: -93.7229235,
                country: "USA".to_string(),
                state: "IA".to_string(),
                place: "Des Moines".to_string(),
            },
        ),
        (
            "KCBX".to_string(),
            Site {
                lat: 43.4902104,
                long: -116.2360436,
                country: "USA".to_string(),
                state: "ID".to_string(),
                place: "Boise".to_string(),
            },
        ),
        (
            "KSFX".to_string(),
            Site {
                lat: 43.1055967,
                long: -112.6860487,
                country: "USA".to_string(),
                state: "ID".to_string(),
                place: "Pocatello/Idaho Falls".to_string(),
            },
        ),
        (
            "KLOT".to_string(),
            Site {
                lat: 41.6044264,
                long: -88.084361,
                country: "USA".to_string(),
                state: "IL".to_string(),
                place: "Chicago".to_string(),
            },
        ),
        (
            "KILX".to_string(),
            Site {
                lat: 40.150544,
                long: -89.336842,
                country: "USA".to_string(),
                state: "IL".to_string(),
                place: "Lincoln".to_string(),
            },
        ),
        (
            "KIND".to_string(),
            Site {
                lat: 39.7074962,
                long: -86.2803675,
                country: "USA".to_string(),
                state: "IN".to_string(),
                place: "Indianapolis".to_string(),
            },
        ),
        (
            "KIWX".to_string(),
            Site {
                lat: 41.3586356,
                long: -85.7000488,
                country: "USA".to_string(),
                state: "IN".to_string(),
                place: "North Webster".to_string(),
            },
        ),
        (
            "KVWX".to_string(),
            Site {
                lat: 38.2603901,
                long: -87.7246553,
                country: "USA".to_string(),
                state: "IN".to_string(),
                place: "Owensville (Evansville)".to_string(),
            },
        ),
        (
            "KDDC".to_string(),
            Site {
                lat: 37.7608043,
                long: -99.9688053,
                country: "USA".to_string(),
                state: "KS".to_string(),
                place: "Dodge City".to_string(),
            },
        ),
        (
            "KGLD".to_string(),
            Site {
                lat: 39.3667737,
                long: -101.7004341,
                country: "USA".to_string(),
                state: "KS".to_string(),
                place: "Goodland".to_string(),
            },
        ),
        (
            "KTWX".to_string(),
            Site {
                lat: 38.996998,
                long: -96.232618,
                country: "USA".to_string(),
                state: "KS".to_string(),
                place: "Topeka".to_string(),
            },
        ),
        (
            "KICT".to_string(),
            Site {
                lat: 37.6545724,
                long: -97.4431461,
                country: "USA".to_string(),
                state: "KS".to_string(),
                place: "Wichita".to_string(),
            },
        ),
        (
            "KHPX".to_string(),
            Site {
                lat: 36.7368894,
                long: -87.2854328,
                country: "USA".to_string(),
                state: "KY".to_string(),
                place: "Fort Campbell".to_string(),
            },
        ),
        (
            "KJKL".to_string(),
            Site {
                lat: 37.590762,
                long: -83.313039,
                country: "USA".to_string(),
                state: "KY".to_string(),
                place: "Jackson".to_string(),
            },
        ),
        (
            "KLVX".to_string(),
            Site {
                lat: 37.9753058,
                long: -85.9438455,
                country: "USA".to_string(),
                state: "KY".to_string(),
                place: "Louisville".to_string(),
            },
        ),
        (
            "KPAH".to_string(),
            Site {
                lat: 37.0683618,
                long: -88.7720257,
                country: "USA".to_string(),
                state: "KY".to_string(),
                place: "Paducah".to_string(),
            },
        ),
        (
            "KPOE".to_string(),
            Site {
                lat: 31.1556923,
                long: -92.9762596,
                country: "USA".to_string(),
                state: "LA".to_string(),
                place: "Fort Polk".to_string(),
            },
        ),
        (
            "KHDC".to_string(),
            Site {
                lat: 30.521667,
                long: -90.418333,
                country: "USA".to_string(),
                state: "LA".to_string(),
                place: "New Orleans (Hammond)".to_string(),
            },
        ),
        (
            "KLCH".to_string(),
            Site {
                lat: 30.125382,
                long: -93.2161188,
                country: "USA".to_string(),
                state: "LA".to_string(),
                place: "Lake Charles".to_string(),
            },
        ),
        (
            "KSHV".to_string(),
            Site {
                lat: 32.450813,
                long: -93.8412774,
                country: "USA".to_string(),
                state: "LA".to_string(),
                place: "Shreveport".to_string(),
            },
        ),
        (
            "KLIX".to_string(),
            Site {
                lat: 30.3367133,
                long: -89.8256618,
                country: "USA".to_string(),
                state: "LA".to_string(),
                place: "New Orleans (Slidell)".to_string(),
            },
        ),
        (
            "KBOX".to_string(),
            Site {
                lat: 41.9558919,
                long: -71.1369681,
                country: "USA".to_string(),
                state: "MA".to_string(),
                place: "Boston".to_string(),
            },
        ),
        (
            "KGYX".to_string(),
            Site {
                lat: 43.8913555,
                long: -70.2565545,
                country: "USA".to_string(),
                state: "ME".to_string(),
                place: "Gray/Portland".to_string(),
            },
        ),
        (
            "KCBW".to_string(),
            Site {
                lat: 46.0391944,
                long: -67.8066033,
                country: "USA".to_string(),
                state: "ME".to_string(),
                place: "Houlton".to_string(),
            },
        ),
        (
            "KDTX".to_string(),
            Site {
                lat: 42.6999677,
                long: -83.471809,
                country: "USA".to_string(),
                state: "MI".to_string(),
                place: "Detroit/Pontiac".to_string(),
            },
        ),
        (
            "KAPX".to_string(),
            Site {
                lat: 44.907106,
                long: -84.719817,
                country: "USA".to_string(),
                state: "MI".to_string(),
                place: "Gaylord".to_string(),
            },
        ),
        (
            "KGRR".to_string(),
            Site {
                lat: 42.893872,
                long: -85.5449206,
                country: "USA".to_string(),
                state: "MI".to_string(),
                place: "Grand Rapids".to_string(),
            },
        ),
        (
            "KMQT".to_string(),
            Site {
                lat: 46.5311443,
                long: -87.5487131,
                country: "USA".to_string(),
                state: "MI".to_string(),
                place: "Marquette".to_string(),
            },
        ),
        (
            "KDLH".to_string(),
            Site {
                lat: 46.8368569,
                long: -92.2097433,
                country: "USA".to_string(),
                state: "MN".to_string(),
                place: "Duluth".to_string(),
            },
        ),
        (
            "KMPX".to_string(),
            Site {
                lat: 44.8488029,
                long: -93.5654873,
                country: "USA".to_string(),
                state: "MN".to_string(),
                place: "Minneapolis/St. Paul".to_string(),
            },
        ),
        (
            "KEAX".to_string(),
            Site {
                lat: 38.8102231,
                long: -94.2644924,
                country: "USA".to_string(),
                state: "MO".to_string(),
                place: "Kansas City".to_string(),
            },
        ),
        (
            "KSGF".to_string(),
            Site {
                lat: 37.235223,
                long: -93.4006011,
                country: "USA".to_string(),
                state: "MO".to_string(),
                place: "Springfield".to_string(),
            },
        ),
        (
            "KLSX".to_string(),
            Site {
                lat: 38.6986863,
                long: -90.682877,
                country: "USA".to_string(),
                state: "MO".to_string(),
                place: "St. Louis".to_string(),
            },
        ),
        (
            "KDGX".to_string(),
            Site {
                lat: 32.2797358,
                long: -89.9846309,
                country: "USA".to_string(),
                state: "MS".to_string(),
                place: "Brandon/Jackson".to_string(),
            },
        ),
        (
            "KGWX".to_string(),
            Site {
                lat: 33.8967796,
                long: -88.3293915,
                country: "USA".to_string(),
                state: "MS".to_string(),
                place: "Columbus AFB".to_string(),
            },
        ),
        (
            "KBLX".to_string(),
            Site {
                lat: 45.8537632,
                long: -108.6068165,
                country: "USA".to_string(),
                state: "MT".to_string(),
                place: "Billings".to_string(),
            },
        ),
        (
            "KGGW".to_string(),
            Site {
                lat: 48.2064536,
                long: -106.6252971,
                country: "USA".to_string(),
                state: "MT".to_string(),
                place: "Glasgow".to_string(),
            },
        ),
        (
            "KTFX".to_string(),
            Site {
                lat: 47.4595023,
                long: -111.3855368,
                country: "USA".to_string(),
                state: "MT".to_string(),
                place: "Great Falls".to_string(),
            },
        ),
        (
            "KMSX".to_string(),
            Site {
                lat: 47.0412971,
                long: -113.9864373,
                country: "USA".to_string(),
                state: "MT".to_string(),
                place: "Missoula".to_string(),
            },
        ),
        (
            "KMHX".to_string(),
            Site {
                lat: 34.7759313,
                long: -76.8762571,
                country: "USA".to_string(),
                state: "NC".to_string(),
                place: "Morehead City".to_string(),
            },
        ),
        (
            "KRAX".to_string(),
            Site {
                lat: 35.6654967,
                long: -78.4897855,
                country: "USA".to_string(),
                state: "NC".to_string(),
                place: "Raleigh/Durham".to_string(),
            },
        ),
        (
            "KLTX".to_string(),
            Site {
                lat: 33.9891631,
                long: -78.4291059,
                country: "USA".to_string(),
                state: "NC".to_string(),
                place: "Wilmington".to_string(),
            },
        ),
        (
            "KBIS".to_string(),
            Site {
                lat: 46.7709329,
                long: -100.7605532,
                country: "USA".to_string(),
                state: "ND".to_string(),
                place: "Bismarck".to_string(),
            },
        ),
        (
            "KMVX".to_string(),
            Site {
                lat: 47.5279417,
                long: -97.3256654,
                country: "USA".to_string(),
                state: "ND".to_string(),
                place: "Grand Forks (Mayville)".to_string(),
            },
        ),
        (
            "KMBX".to_string(),
            Site {
                lat: 48.39303,
                long: -100.8644378,
                country: "USA".to_string(),
                state: "ND".to_string(),
                place: "Minot AFB".to_string(),
            },
        ),
        (
            "KUEX".to_string(),
            Site {
                lat: 40.320966,
                long: -98.4418559,
                country: "USA".to_string(),
                state: "NE".to_string(),
                place: "Grand Island/Hastings".to_string(),
            },
        ),
        (
            "KLNX".to_string(),
            Site {
                lat: 41.9579623,
                long: -100.5759609,
                country: "USA".to_string(),
                state: "NE".to_string(),
                place: "North Platte".to_string(),
            },
        ),
        (
            "KOAX".to_string(),
            Site {
                lat: 41.3202803,
                long: -96.3667971,
                country: "USA".to_string(),
                state: "NE".to_string(),
                place: "Omaha".to_string(),
            },
        ),
        (
            "KABX".to_string(),
            Site {
                lat: 35.1497579,
                long: -106.8239576,
                country: "USA".to_string(),
                state: "NM".to_string(),
                place: "Albuquerque".to_string(),
            },
        ),
        (
            "KFDX".to_string(),
            Site {
                lat: 34.6341569,
                long: -103.6186427,
                country: "USA".to_string(),
                state: "NM".to_string(),
                place: "Cannon AFB".to_string(),
            },
        ),
        (
            "KHDX".to_string(),
            Site {
                lat: 33.0768844,
                long: -106.1200923,
                country: "USA".to_string(),
                state: "NM".to_string(),
                place: "Holloman AFB".to_string(),
            },
        ),
        (
            "KLRX".to_string(),
            Site {
                lat: 40.7396933,
                long: -116.8025529,
                country: "USA".to_string(),
                state: "NV".to_string(),
                place: "Elko".to_string(),
            },
        ),
        (
            "KESX".to_string(),
            Site {
                lat: 35.7012894,
                long: -114.8918277,
                country: "USA".to_string(),
                state: "NV".to_string(),
                place: "Las Vegas".to_string(),
            },
        ),
        (
            "KRGX".to_string(),
            Site {
                lat: 39.7541931,
                long: -119.4620597,
                country: "USA".to_string(),
                state: "NV".to_string(),
                place: "Reno".to_string(),
            },
        ),
        (
            "KENX".to_string(),
            Site {
                lat: 42.5865699,
                long: -74.0639877,
                country: "USA".to_string(),
                state: "NY".to_string(),
                place: "Albany".to_string(),
            },
        ),
        (
            "KBGM".to_string(),
            Site {
                lat: 42.1997045,
                long: -75.9847015,
                country: "USA".to_string(),
                state: "NY".to_string(),
                place: "Binghamton".to_string(),
            },
        ),
        (
            "KBUF".to_string(),
            Site {
                lat: 42.9488055,
                long: -78.7369108,
                country: "USA".to_string(),
                state: "NY".to_string(),
                place: "Buffalo".to_string(),
            },
        ),
        (
            "KTYX".to_string(),
            Site {
                lat: 43.7556319,
                long: -75.6799918,
                country: "USA".to_string(),
                state: "NY".to_string(),
                place: "Montague".to_string(),
            },
        ),
        (
            "KOKX".to_string(),
            Site {
                lat: 40.8655093,
                long: -72.8638548,
                country: "USA".to_string(),
                state: "NY".to_string(),
                place: "New York City".to_string(),
            },
        ),
        (
            "KCLE".to_string(),
            Site {
                lat: 41.4131875,
                long: -81.8597451,
                country: "USA".to_string(),
                state: "OH".to_string(),
                place: "Cleveland".to_string(),
            },
        ),
        (
            "KILN".to_string(),
            Site {
                lat: 39.42028,
                long: -83.82167,
                country: "USA".to_string(),
                state: "OH".to_string(),
                place: "Wilmington".to_string(),
            },
        ),
        (
            "KFDR".to_string(),
            Site {
                lat: 34.3620014,
                long: -98.9766884,
                country: "USA".to_string(),
                state: "OK".to_string(),
                place: "Frederick".to_string(),
            },
        ),
        (
            "KTLX".to_string(),
            Site {
                lat: 35.3333873,
                long: -97.2778255,
                country: "USA".to_string(),
                state: "OK".to_string(),
                place: "Oklahoma City".to_string(),
            },
        ),
        (
            "KINX".to_string(),
            Site {
                lat: 36.1750977,
                long: -95.5642802,
                country: "USA".to_string(),
                state: "OK".to_string(),
                place: "Tulsa".to_string(),
            },
        ),
        (
            "KVNX".to_string(),
            Site {
                lat: 36.7406166,
                long: -98.1279409,
                country: "USA".to_string(),
                state: "OK".to_string(),
                place: "Vance AFB".to_string(),
            },
        ),
        (
            "KMAX".to_string(),
            Site {
                lat: 42.0810766,
                long: -122.7173334,
                country: "USA".to_string(),
                state: "OR".to_string(),
                place: "Medford".to_string(),
            },
        ),
        (
            "KPDT".to_string(),
            Site {
                lat: 45.6906118,
                long: -118.8529301,
                country: "USA".to_string(),
                state: "OR".to_string(),
                place: "Pendleton".to_string(),
            },
        ),
        (
            "KRTX".to_string(),
            Site {
                lat: 45.7150308,
                long: -122.9650542,
                country: "USA".to_string(),
                state: "OR".to_string(),
                place: "Portland".to_string(),
            },
        ),
        (
            "KDIX".to_string(),
            Site {
                lat: 39.9470885,
                long: -74.4108027,
                country: "USA".to_string(),
                state: "PA".to_string(),
                place: "Philadelphia".to_string(),
            },
        ),
        (
            "KPBZ".to_string(),
            Site {
                lat: 40.5316842,
                long: -80.2179515,
                country: "USA".to_string(),
                state: "PA".to_string(),
                place: "Pittsburgh".to_string(),
            },
        ),
        (
            "KCCX".to_string(),
            Site {
                lat: 40.9228521,
                long: -78.0038738,
                country: "USA".to_string(),
                state: "PA".to_string(),
                place: "State College".to_string(),
            },
        ),
        (
            "TJUA".to_string(),
            Site {
                lat: 18.1155998,
                long: -66.0780644,
                country: "USA".to_string(),
                state: "PR".to_string(),
                place: "San Juan".to_string(),
            },
        ),
        (
            "KCLX".to_string(),
            Site {
                lat: 32.6554866,
                long: -81.0423124,
                country: "USA".to_string(),
                state: "SC".to_string(),
                place: "Charleston".to_string(),
            },
        ),
        (
            "KCAE".to_string(),
            Site {
                lat: 33.9487579,
                long: -81.1184281,
                country: "USA".to_string(),
                state: "SC".to_string(),
                place: "Columbia".to_string(),
            },
        ),
        (
            "KGSP".to_string(),
            Site {
                lat: 34.8833435,
                long: -82.2200757,
                country: "USA".to_string(),
                state: "SC".to_string(),
                place: "Greer".to_string(),
            },
        ),
        (
            "KABR".to_string(),
            Site {
                lat: 45.4558185,
                long: -98.4132046,
                country: "USA".to_string(),
                state: "SD".to_string(),
                place: "Aberdeen".to_string(),
            },
        ),
        (
            "KUDX".to_string(),
            Site {
                lat: 44.1248485,
                long: -102.8298157,
                country: "USA".to_string(),
                state: "SD".to_string(),
                place: "Rapid City".to_string(),
            },
        ),
        (
            "KFSD".to_string(),
            Site {
                lat: 43.5877467,
                long: -96.7293674,
                country: "USA".to_string(),
                state: "SD".to_string(),
                place: "Sioux Falls".to_string(),
            },
        ),
        (
            "KMRX".to_string(),
            Site {
                lat: 36.168538,
                long: -83.401779,
                country: "USA".to_string(),
                state: "TN".to_string(),
                place: "Knoxville/Tri Cities".to_string(),
            },
        ),
        (
            "KNQA".to_string(),
            Site {
                lat: 35.3447802,
                long: -89.8734534,
                country: "USA".to_string(),
                state: "TN".to_string(),
                place: "Memphis".to_string(),
            },
        ),
        (
            "KOHX".to_string(),
            Site {
                lat: 36.2472389,
                long: -86.5625185,
                country: "USA".to_string(),
                state: "TN".to_string(),
                place: "Nashville".to_string(),
            },
        ),
        (
            "KAMA".to_string(),
            Site {
                lat: 35.2334827,
                long: -101.7092478,
                country: "USA".to_string(),
                state: "TX".to_string(),
                place: "Amarillo".to_string(),
            },
        ),
        (
            "KEWX".to_string(),
            Site {
                lat: 29.7039802,
                long: -98.028506,
                country: "USA".to_string(),
                state: "TX".to_string(),
                place: "Austin/San Antonio".to_string(),
            },
        ),
        (
            "KBRO".to_string(),
            Site {
                lat: 25.9159979,
                long: -97.4189526,
                country: "USA".to_string(),
                state: "TX".to_string(),
                place: "Brownsville".to_string(),
            },
        ),
        (
            "KCRP".to_string(),
            Site {
                lat: 27.7840203,
                long: -97.511234,
                country: "USA".to_string(),
                state: "TX".to_string(),
                place: "Corpus Christi".to_string(),
            },
        ),
        (
            "KFWS".to_string(),
            Site {
                lat: 32.5730186,
                long: -97.3031911,
                country: "USA".to_string(),
                state: "TX".to_string(),
                place: "Dallas/Ft. Worth".to_string(),
            },
        ),
        (
            "KDYX".to_string(),
            Site {
                lat: 32.5386009,
                long: -99.2542863,
                country: "USA".to_string(),
                state: "TX".to_string(),
                place: "Dyess AFB".to_string(),
            },
        ),
        (
            "KEPZ".to_string(),
            Site {
                lat: 31.8731115,
                long: -106.697942,
                country: "USA".to_string(),
                state: "TX".to_string(),
                place: "El Paso".to_string(),
            },
        ),
        (
            "KGRK".to_string(),
            Site {
                lat: 30.7217637,
                long: -97.3829627,
                country: "USA".to_string(),
                state: "TX".to_string(),
                place: "Fort Hood".to_string(),
            },
        ),
        (
            "KHGX".to_string(),
            Site {
                lat: 29.4718835,
                long: -95.0788593,
                country: "USA".to_string(),
                state: "TX".to_string(),
                place: "Houston/Galveston".to_string(),
            },
        ),
        (
            "KDFX".to_string(),
            Site {
                lat: 29.2730823,
                long: -100.2802312,
                country: "USA".to_string(),
                state: "TX".to_string(),
                place: "Laughlin AFB".to_string(),
            },
        ),
        (
            "KLBB".to_string(),
            Site {
                lat: 33.6541242,
                long: -101.814149,
                country: "USA".to_string(),
                state: "TX".to_string(),
                place: "Lubbock".to_string(),
            },
        ),
        (
            "KMAF".to_string(),
            Site {
                lat: 31.9433953,
                long: -102.1894383,
                country: "USA".to_string(),
                state: "TX".to_string(),
                place: "Midland/Odessa".to_string(),
            },
        ),
        (
            "KSJT".to_string(),
            Site {
                lat: 31.3712815,
                long: -100.4925227,
                country: "USA".to_string(),
                state: "TX".to_string(),
                place: "San Angelo".to_string(),
            },
        ),
        (
            "KICX".to_string(),
            Site {
                lat: 37.59083,
                long: -112.86222,
                country: "USA".to_string(),
                state: "UT".to_string(),
                place: "Cedar City".to_string(),
            },
        ),
        (
            "KMTX".to_string(),
            Site {
                lat: 41.2627795,
                long: -112.4480081,
                country: "USA".to_string(),
                state: "UT".to_string(),
                place: "Salt Lake City".to_string(),
            },
        ),
        (
            "KAKQ".to_string(),
            Site {
                lat: 36.9840475,
                long: -77.007342,
                country: "USA".to_string(),
                state: "VA".to_string(),
                place: "Norfolk/Richmond".to_string(),
            },
        ),
        (
            "KFCX".to_string(),
            Site {
                lat: 37.0242098,
                long: -80.2736664,
                country: "USA".to_string(),
                state: "VA".to_string(),
                place: "Roanoke".to_string(),
            },
        ),
        (
            "KLWX".to_string(),
            Site {
                lat: 38.9753957,
                long: -77.4778444,
                country: "USA".to_string(),
                state: "VA".to_string(),
                place: "Sterling".to_string(),
            },
        ),
        (
            "KCXX".to_string(),
            Site {
                lat: 44.5109941,
                long: -73.166424,
                country: "USA".to_string(),
                state: "VT".to_string(),
                place: "Burlington".to_string(),
            },
        ),
        (
            "KLGX".to_string(),
            Site {
                lat: 47.116806,
                long: -124.10625,
                country: "USA".to_string(),
                state: "WA".to_string(),
                place: "Langley Hill".to_string(),
            },
        ),
        (
            "KATX".to_string(),
            Site {
                lat: 48.1945614,
                long: -122.4957508,
                country: "USA".to_string(),
                state: "WA".to_string(),
                place: "Seattle/Tacoma".to_string(),
            },
        ),
        (
            "KOTX".to_string(),
            Site {
                lat: 47.6803744,
                long: -117.6267797,
                country: "USA".to_string(),
                state: "WA".to_string(),
                place: "Spokane".to_string(),
            },
        ),
        (
            "KGRB".to_string(),
            Site {
                lat: 44.4984644,
                long: -88.111124,
                country: "USA".to_string(),
                state: "WI".to_string(),
                place: "Green Bay".to_string(),
            },
        ),
        (
            "KARX".to_string(),
            Site {
                lat: 43.822766,
                long: -91.1915767,
                country: "USA".to_string(),
                state: "WI".to_string(),
                place: "La Crosse".to_string(),
            },
        ),
        (
            "KMKX".to_string(),
            Site {
                lat: 42.9678286,
                long: -88.5506335,
                country: "USA".to_string(),
                state: "WI".to_string(),
                place: "Milwaukee".to_string(),
            },
        ),
        (
            "KRLX".to_string(),
            Site {
                lat: 38.3110763,
                long: -81.7229015,
                country: "USA".to_string(),
                state: "WV".to_string(),
                place: "Charleston".to_string(),
            },
        ),
        (
            "KCYS".to_string(),
            Site {
                lat: 41.1519308,
                long: -104.8060325,
                country: "USA".to_string(),
                state: "WY".to_string(),
                place: "Cheyenne".to_string(),
            },
        ),
        (
            "KRIW".to_string(),
            Site {
                lat: 43.0660779,
                long: -108.4773731,
                country: "USA".to_string(),
                state: "WY".to_string(),
                place: "Riverton".to_string(),
            },
        ),
    ])
}
